Bug 188760 - FC5 grub installation does not recognize Debian and Ubunutu installations
FC5 grub installation does not recognize Debian and Ubunutu installations
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Depends On:
  Show dependency treegraph
Reported: 2006-04-12 17:36 EDT by Michael Josenhans
Modified: 2008-05-06 11:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 11:47:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Josenhans 2006-04-12 17:36:33 EDT
Description of problem:

On my PC I have installed Debian Sarge and Ubunutu 5.10, both using Reiserfs
partitions. As boot mamager I had installed Grub in the MBR and thus was able to
select any of them to start at boot time-

Now I have installed FC5. My Debain Sarge and Ubunutu partitions are no longer
recognized by after in FC5 installation. The only choice I have is starting
newly installed FC5. 

Version-Release number of selected component (if applicable):

grub version
grub (GNU GRUB 0.97)
fdisk (util-linux 2.13-pre6)

How reproducible:
I think I had this problem already with previous FC3 or Redhat versions, even
when not installing Debian and Ubunutu as Reiserfs but as ext3 partitions. 

Steps to Reproduce:
1. Install Debian Sarge or Unubutu 5.10 or both.
2. During Debian and/or Unubutu as reiserfs (or ext3) file system
3. During Debian or Ubunutu installation install Grub in Master Boot Record
4. Install FC5 
5. During FC5 installation install Grub in the Master Boott Record
6. Reboot
7. Error: Grub boot manager will only provide FC5 as selection option, not
Debian or Ubunutu as expected

Actual results:
Debain and Ubunutu installation can no longer be started. New grub installation
from Debian / Ubunutu in only possible from an running installation. Debian and
Ubunutu do not provide a capability to reinstall the grub in Master Boot Record
from install disk. Thus after installing a second Debain installation on the
disk grub could be reinstalled from Debian and would provie afterwards the
option to load any of the Debian, Ubunutu or FC5 installations. (I did not test
it this time, however this way was it when I had the trouble with earlier
FC3/Redhat releases.)

Expected results:
After MBR installation from FC5, the boot loader finds besides the newly
installed FC5 installation also the Ububutu and Debian installations and
provides thos as load options.

Additional info:

[root@localhost ~]# fdisk -l /dev/hda

Disk /dev/hda: 120.0 GB, 120060444672 bytes
255 heads, 63 sectors/track, 14596 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot      Start         End      Blocks   Id  System
/dev/hda1               1         365     2931831    b  W95 FAT32
/dev/hda2             366        1338     7815622+  83  Linux
/dev/hda3            1339        6661    42756997+   f  W95 Ext'd (LBA)
/dev/hda5            1339        2067     5855661   83  Linux
/dev/hda6            2068        2310     1951866   82  Linux swap / Solaris
/dev/hda7            2311        3039     5855661   83  Linux
/dev/hda8   *        3040        4111     8610808+  83  Linux
/dev/hda9            4112        6661    20482843+  83  Linux

Please note that I can not remember that I have installed any W95/FAT or
W95/Extended partitions. Definitly I have no Solaris partition on my disk.
Comment 1 Bug Zapper 2008-04-03 22:38:02 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 11:47:03 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.